<?php
// database.php
$servername = "localhost";
$db_username = "blacrhdy_bet1";  // Kullanıcı adı değişkeni
$db_password = "blacrhdy_bet1";       // Şifre değişkeni
$dbname = "blacrhdy_bet1";

// Bağlantıyı kur
$conn = new mysqli($servername, $db_username, $db_password, $dbname);

// Bağlantıyı kontrol et
if ($conn->connect_error) {
    die("Bağlantı hatası: " . $conn->connect_error);
}

$dsn = "mysql:host=$servername;dbname=$dbname;charset=utf8";
$pdo = new PDO($dsn, $db_username, $db_password, [
    PDO::ATTR_ERRMODE => PDO::ERRMODE_EXCEPTION,
    PDO::ATTR_DEFAULT_FETCH_MODE => PDO::FETCH_ASSOC,
    PDO::ATTR_EMULATE_PREPARES => false,
]);
?>
